# Record TCefRenderHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefRenderHandler = record`

## Description

Implement this structure to handle events when window rendering is disabled. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefRenderHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_accessibility_handler: function(self: PCefRenderHandler): PCefAccessibilityHandler; stdcall;`
| `get_root_screen_rect: function(self: PCefRenderHandler; browser: PCefBrowser; rect: PCefRect): Integer; stdcall;`
| `get_view_rect: procedure(self: PCefRenderHandler; browser: PCefBrowser; rect: PCefRect); stdcall;`
| `get_screen_point: function(self: PCefRenderHandler; browser: PCefBrowser; viewX, viewY: Integer; screenX, screenY: PInteger): Integer; stdcall;`
| `get_screen_info: function(self: PCefRenderHandler; browser: PCefBrowser; screen_info: PCefScreenInfo): Integer; stdcall;`
| `on_popup_show: procedure(self: PCefRenderHandler; browser: PCefBrowser; show: Integer); stdcall;`
| `on_popup_size: procedure(self: PCefRenderHandler; browser: PCefBrowser; const rect: PCefRect); stdcall;`
| `on_paint: procedure(self: PCefRenderHandler; browser: PCefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); stdcall;`
| `on_accelerated_paint: procedure(self: PCefRenderHandler; browser: PCefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); stdcall;`
| `get_touch_handle_size: procedure(self: PCefRenderHandler; browser: PCefBrowser; orientation: TCefHorizontalAlignment; size: PCefSize); stdcall;`
| `on_touch_handle_state_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const state: PCefTouchHandleState); stdcall;`
| `start_dragging: function(self: PCefRenderHandler; browser: PCefBrowser; drag_data: PCefDragData; allowed_ops: TCefDragOperations; x, y: Integer): Integer; stdcall;`
| `update_drag_cursor: procedure(self: PCefRenderHandler; browser: PCefBrowser; operation: TCefDragOperation); stdcall;`
| `on_scroll_offset_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; x, y: Double); stdcall;`
| `on_ime_composition_range_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); stdcall;`
| `on_text_selection_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const selected_text: PCefString; const selected_range: PCefRange); stdcall;`
| `on_virtual_keyboard_requested: procedure(self: PCefRenderHandler; browser: PCefBrowser; input_mode: TCefTextInpuMode); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_accessibility_handler: function(self: PCefRenderHandler): PCefAccessibilityHandler; stdcall;`
This item has no description.

| `get_root_screen_rect: function(self: PCefRenderHandler; browser: PCefBrowser; rect: PCefRect): Integer; stdcall;`
This item has no description.

| `get_view_rect: procedure(self: PCefRenderHandler; browser: PCefBrowser; rect: PCefRect); stdcall;`
This item has no description.

| `get_screen_point: function(self: PCefRenderHandler; browser: PCefBrowser; viewX, viewY: Integer; screenX, screenY: PInteger): Integer; stdcall;`
This item has no description.

| `get_screen_info: function(self: PCefRenderHandler; browser: PCefBrowser; screen_info: PCefScreenInfo): Integer; stdcall;`
This item has no description.

| `on_popup_show: procedure(self: PCefRenderHandler; browser: PCefBrowser; show: Integer); stdcall;`
This item has no description.

| `on_popup_size: procedure(self: PCefRenderHandler; browser: PCefBrowser; const rect: PCefRect); stdcall;`
This item has no description.

| `on_paint: procedure(self: PCefRenderHandler; browser: PCefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); stdcall;`
This item has no description.

| `on_accelerated_paint: procedure(self: PCefRenderHandler; browser: PCefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); stdcall;`
This item has no description.

| `get_touch_handle_size: procedure(self: PCefRenderHandler; browser: PCefBrowser; orientation: TCefHorizontalAlignment; size: PCefSize); stdcall;`
This item has no description.

| `on_touch_handle_state_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const state: PCefTouchHandleState); stdcall;`
This item has no description.

| `start_dragging: function(self: PCefRenderHandler; browser: PCefBrowser; drag_data: PCefDragData; allowed_ops: TCefDragOperations; x, y: Integer): Integer; stdcall;`
This item has no description.

| `update_drag_cursor: procedure(self: PCefRenderHandler; browser: PCefBrowser; operation: TCefDragOperation); stdcall;`
This item has no description.

| `on_scroll_offset_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; x, y: Double); stdcall;`
This item has no description.

| `on_ime_composition_range_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); stdcall;`
This item has no description.

| `on_text_selection_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const selected_text: PCefString; const selected_range: PCefRange); stdcall;`
This item has no description.

| `on_virtual_keyboard_requested: procedure(self: PCefRenderHandler; browser: PCefBrowser; input_mode: TCefTextInpuMode); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.